cordova.define("com.nantian.cache", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
		/**
		 * 保存信息
		 * @param successCallback 	成功的回调
         * @param failCallback    	失败的回调
         * @param key    			取值的key
         * @param value    			要保存的值
		 */
		setStorage: function(successCallback, errorCallback, key, value) {
			exec(successCallback, errorCallback, "NTCachePlugin", "setStorage", [key, value]);
		},
		setStorageSync: function(successCallback, errorCallback, key, value) {
			exec(successCallback, errorCallback, "NTCachePlugin", "setStorageSync", [key, value]);
		},
		/**
		 * 通过key获取之前保存的信息
		 * @param successCallback 	成功的回调
         * @param failCallback    	失败的回调
         * @param key    			取值的key
		 */
		getStorage: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCachePlugin", "getStorage", [key]);
		},
		getStorageSync: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCachePlugin", "getStorageSync", [key]);
		},
		removeStorage: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCachePlugin", "removeStorage", [key]);
		},
		removeStorageSync: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCachePlugin", "removeStorageSync", [key]);
		},
		clearStorage: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCachePlugin", "clearStorage", [key]);
		},
		clearStorageSync: function(successCallback, errorCallback, key) {
			exec(successCallback, errorCallback, "NTCachePlugin", "clearStorageSync", [key]);
		},
		getStorageInfo: function(successCallback, errorCallback, key) {
        			exec(successCallback, errorCallback, "NTCachePlugin", "getStorageInfo", [key]);
        },
        getStorageInfoSync: function(successCallback, errorCallback, key) {
        			exec(successCallback, errorCallback, "NTCachePlugin", "getStorageInfoSync", [key]);
        }

	};
});