cordova.define("com.nantian.camera", function(require, exports, module) {
var exec = require('cordova/exec');

module.exports = {
    
    /**
    *  弹出录像框
    *
    *  @param successCallback 	成功的回调
    *  @param failCallback    	失败的回调
    *  @param filename    		录像保存时的名称（不带后缀，默认.mp4）
    *  @param duration       	录像的最大时长，如果无限制传入""即可
    *  @param flag    			调用摄像头的标识  "0"(后置摄像头)/"1"(前置摄像头) 默认为后置摄像头
    *  @param copyToExternal   是否保存到外部存储（即可以在相册看到），默认为否（ "0"：否 ，"1" ：是）
    *
    */
    showVideo : function(successCallback,failCallback,filename, duration, flag, copyToExternal) {
        exec(successCallback, failCallback, "NTVideo", "showVideo", [filename,duration,flag,copyToExternal]);
    },
    
    /**
     *  调用视频播放器
     *
     *  @param successCallback 成功的回调
     *  @param failCallback    失败的回调
     *  @param filename    	   录像的全路径
     */
    playVideo : function(successCallback, failCallback, filepath) {
    	exec(successCallback, failCallback, "NTVideoPlayer", "playVideo", [filepath]);
    },
               
    /**
     *  弹出扫描二维码
     *
     *  @param successCallback 成功的回调
     *  @param failCallback    失败的回调
     *
     */
    showQR : function(successCallback,failCallback){
        exec(successCallback, failCallback, "NTQRScanner", "showQR", []);
    },
               
    /**
     *  弹出拍照界面
     *
     *  @param successCallback 	成功回调，里面包含图片的二进制数据
     *  @param failCallback    	失败回调，json格式的字符串，里面content字段是报错信息
     *  @param picname    		图片保存的名称（不带后缀，默认.jpg）
     *  @param flag    			调用摄像头的标识  "0"(后置摄像头)/"1"(前置摄像头) 默认为后置摄像头
     *  @param size       		图片最大大小（单位：KB, 如果不压缩，就传入0）
     *  @param needEdit        	是否需要裁剪图片，默认为否（ "0"：不裁剪 ，"1" ：裁剪）
     *  @param copyToExternal   是否保存到外部存储（即可以在相册看到），默认为否（ "0"：否 ，"1" ：是）
     *
     */
    showPictureTaker : function(successCallback, failCallback, picname, flag, size, needEdit, copyToExternal){
        exec(successCallback, failCallback, "NTPictureTaker", "showPictureTaker", [picname,flag,size,needEdit,copyToExternal]);
    },
    
    /**
     *  弹出图片选择器
     *
     *  @param successCallback 	成功回调，里面包含图片的二进制数据
     *  @param failCallback    	失败回调，json格式的字符串，里面content字段是报错信息
     *  @param size       		图片最大大小（单位：KB, 如果不压缩，就传入0）
     *  @param needEdit        	是否需要裁剪图片，默认为否（ "0"：不裁剪 ，"1" ：裁剪）
     *  @param copyToExternal   是否保存到外部存储（即可以在相册看到），默认为否（ "0"：否 ，"1" ：是）
     */
    showImageSwitcher : function(successCallback, failCallback, picname, size, needEdit, copyToExternal){
         exec(successCallback, failCallback, "NTPictureTaker", "showImageSwitcher", [picname,size,needEdit,copyToExternal]);
     }
    
	};
});
