cordova.define("com.nantian.documents", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
			/**
		     *  文件打开
		     *  @param successCallback  成功回调
		     *  @param errorCallback    失败回调
		     *  @param filePathStr    	文件地址
		     *  @param deleteFile       文档查看完毕后是否删除源文件，默认为否("0"/"1")，只支持pdf文件，其他文件请调用deleteDocuments接口
		     *
		     */
			openDocument : function(successCallback, errorCallback, filePathStr, deleteFile) {
				exec(successCallback, errorCallback, "NTDocuments", "openDocument", [filePathStr,deleteFile]);
			},/**
			 * 删除文件
			 * @param successCallback  	成功回调
		     * @param errorCallback    	失败回调
			 * @param filePathStr		要删除的文件路径集合（jsonArray格式的字符串）
			 */
			deleteDocuments : function(successCallback, errorCallback, filePathStr) {
				exec(successCallback, errorCallback, "NTDocuments", "deleteDocuments", [filePathStr]);
			}
	};

});