cordova.define("com.nantian.httprequest", function(require, exports, module) {
    var exec = require('cordova/exec');
               
    module.exports = {
               
               /**
                *  js提交请求
                *
                *  @param callback       回调函数，成功
                *  @param errorcallback  回调函数，成功
                *  @param url            服务器地址，不包括ip和port，如xxx/xxx
                *  @param silent         是否需要通讯框，0--不需要 1--需要
                *  @param address        选择服务器地址，例如 1、2、3 注意：必须是已经在配置文件添加上了的地址
                *  @param jsonStr        要传入的json字符串
                *  @param isEncrypted    是否需要全文加解密 0(false)/1(true)
                *
                */
               commit : function(callback,errorcallback, url, silent, address, jsonStr, isEncrypted) {
                    exec(callback, errorcallback, "NTHttReq", "commit", [ url, silent,address,jsonStr,isEncrypted]);
               },

               //向指定服务器发起一个跨域 get 请求。
               getRequest: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "getRequest", [])
               },

               //向指定服务器发起一个跨域 post 请求。
               postRequest: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "postRequest", [])
               },

               //上传本地资源到开发者服务器
               uploadFile: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "uploadFile", [])
               },

               //下载文件资源到本地。
               downloadFile: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "downloadFile", [])
               },

               //创建一个 WebSocket 的连接；一个支付宝小程序同时只能保留一个 WebSocket 连接，如果当前已存在 WebSocket 连接，会自动关闭该连接，并重新创建一个新的 WebSocket 连接。
               connectSocket: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "connectSocket", [])
               },

               //监听WebSocket连接打开事件。
               onSocketOpen: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "onSocketOpen", [])
               },

               //取消监听WebSocket连接打开事件。。
               offSocketOpen: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "offSocketOpen", [])
               },

               //监听WebSocket错误。
               onSocketError: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "onSocketError", [])
               },

               //取消监听WebSocket错误。
               offSocketError: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "offSocketError", [])
               },

               //通过 WebSocket 连接发送数据，需要先使用 my.connectSocket 发起建连，并在 my.onSocketOpen 回调之后再发送数据。
               sendSocketMessage: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "sendSocketMessage", [])
               },

               //监听WebSocket接受到服务器的消息事件。
               onSocketMessage: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "onSocketMessage", [])
               },

               //取消监听WebSocket错误。
               offSocketMessage: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "offSocketMessage", [])
               },

               //关闭WebSocket连接
               closeSocket: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "closeSocket", [])
               },

               //监听WebSocket关闭
               onSocketClose: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "onSocketClose", [])
               },

               //取消监听WebSocket关闭。
               offSocketClose: function(callback, errorcallback) {
                    exec(callback, errorcallback, "NTHttpReq", "offSocketClose", [])
               },
};
});
