cordova.define("com.nantian.passometer", function(require, exports,
		module) {
	var exec = require('cordova/exec');

	module.exports = {

		/**
		 * 开始计步,计步的同时将同时添加监听，如需移除计步回调监听，请手动调用移除监听的方法
		 * 
		 * @param successCallback 成功的回调
		 * @param failCallback 失败的回调
		 */
		startStep : function(successCallback, failCallback) {
			exec(successCallback, failCallback, "NTPassometer", "startStep", []);
		},
		/**
		 * 停止计步
		 */
		stopStep : function() {
			exec(null, null, "NTPassometer", "stopStep", []);
		},
		/**
		 * 移除监听
		 */
		removeListener : function() {
			exec(null, null, "NTPassometer", "removeListener", []);
		},
		/**
         *  执行sql语句
         *  @param successCallback 成功的回调
         *  @param failCallback    失败的回调
         *  @param sql             sql语句
         *  @param option          可选参数，0:查询，1:更改，如增／删／改
         */
        execSql : function(successCallback,failCallback,sql,option) {
        
     	   exec(successCallback, failCallback, "NTPassometer", "execSql", [sql,option]);
        }

	};

});
