cordova.define("com.nantian.securitybox", function(require, exports, module) {
	var exec = require('cordova/exec');

	module.exports = {
			/**
		     *  文件加密
		     *  @param successCallback  成功回调
		     *  @param errorCallback    失败回调
		     *  @param sourcePath    	要加密的源文件路径
		     *  @param deleteSource     加密完成后是否删除源文件，默认"1"删除（"0"/"1"）
		     *
		     */
			fileEncrypt : function(successCallback, errorCallback, sourcePath, deleteSource) {
				exec(successCallback, errorCallback, "NTSecurityBox", "fileEncrypt", [sourcePath, deleteSource]);
			},
			
			/**
			 * 文件解密
			 * @param successCallback  	成功回调
		     * @param errorCallback    	失败回调
		     *  @param sourcePath    	要解密的文件路径
		     *  @param deleteSource     解密完成后是否删除加密文件，默认"1"删除（"0"/"1"）
			 */
			fileDecode : function(successCallback, errorCallback, sourcePath, deleteSource) {
	            exec(successCallback, errorCallback, "NTSecurityBox", "fileDecode", [sourcePath, deleteSource]);
	        }
	};

});